Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.pagebus.hub
Class NativeManagedObject

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.tibco.bpm.web.client.model.pagebus.hub.NativeManagedObject

    public class NativeManagedObject

extends com.google.gwt.core.client.JavaScriptObject

Java class overlay for an opaque JavaScript ManagedObject. This is returned from getNativeManagedObject method of the ManagedObject class and is used to identify the native JavaScript object associated with the Java ManagedObject class.

©2011 TIBCO Software Inc.

Since:
  2.0.0

Field Summary
`static java.lang.String` | `ID_PROP`
`static java.lang.String` | `TYPE_PROP`

Constructor Summary
`protected` | `NativeManagedObject()`

Method Summary
`java.lang.String` | `getId()`
`java.lang.String` | `getType()`
`void` | `setId(java.lang.String id)`
`void` | `setType(java.lang.String type)`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ID_PROP

    public static final java.lang.String ID_PROP

See Also:
  Constant Field Values

### TYPE_PROP

    public static final java.lang.String TYPE_PROP

See Also:
  Constant Field Values

Constructor Detail

### NativeManagedObject

    protected NativeManagedObject()

Method Detail

### getId

    public final java.lang.String getId()

### setId

    public final void setId(java.lang.String id)

### getType

    public final java.lang.String getType()

### setType

    public final void setType(java.lang.String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.